/[gentoo-x86]/gnome-extra/libgda/libgda-5.2.2.ebuild
Gentoo

Contents of /gnome-extra/libgda/libgda-5.2.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.6 - (hide annotations) (download)
Sat Mar 7 03:18:51 2015 UTC (3 years, 8 months ago) by tetromino
Branch: MAIN
Changes since 1.5: +7 -6 lines
bindist is now a RESTRICT flag, not a USE flag (bug #541456, thanks to Ulrich Müller).

(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 0x18E5B6F2D8D5EC8D)

1 tetromino 1.6 # Copyright 1999-2015 Gentoo Foundation
2 pacho 1.1 # Distributed under the terms of the GNU General Public License v2
3 tetromino 1.6 # $Header: /var/cvsroot/gentoo-x86/gnome-extra/libgda/libgda-5.2.2.ebuild,v 1.5 2014/12/28 15:50:28 titanofold Exp $
4 pacho 1.1
5     EAPI="5"
6     GNOME2_LA_PUNT="yes"
7     GCONF_DEBUG="yes"
8     PYTHON_COMPAT=( python{2_6,2_7} )
9     #VALA_MIN_API_VERSION="0.18"
10     #VALA_MAX_API_VERSION="0.18" # configure explicitly checks for 0.18
11     #VALA_USE_DEPEND="vapigen"
12    
13     inherit autotools db-use eutils flag-o-matic gnome2 java-pkg-opt-2 python-single-r1 # vala
14    
15     DESCRIPTION="GNOME database access library"
16     HOMEPAGE="http://www.gnome-db.org/"
17     LICENSE="GPL-2+ LGPL-2+"
18    
19 tetromino 1.6 IUSE="berkdb canvas firebird gtk graphviz http +introspection json ldap libsecret mdb mysql oci8 postgres reports sourceview ssl" # vala
20 pacho 1.1 REQUIRED_USE="
21     reports? ( ${PYTHON_REQUIRED_USE} )
22     canvas? ( gtk )
23     graphviz? ( gtk )
24     sourceview? ( gtk )
25     "
26     # firebird license is not GPL compatible
27    
28     SLOT="5/4" # subslot = libgda-5.0 soname version
29 pacho 1.3 KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd"
30 pacho 1.1
31     RDEPEND="
32     app-text/iso-codes
33     >=dev-libs/glib-2.32:2
34     >=dev-libs/libxml2-2
35     dev-libs/libxslt
36     sys-libs/readline:=
37     sys-libs/ncurses:=
38     berkdb? ( sys-libs/db )
39 tetromino 1.6 firebird? ( dev-db/firebird )
40 pacho 1.1 gtk? (
41     >=x11-libs/gtk+-3.0.0:3
42     canvas? ( x11-libs/goocanvas:2.0= )
43     sourceview? ( x11-libs/gtksourceview:3.0 )
44     graphviz? ( media-gfx/graphviz )
45     )
46     http? ( >=net-libs/libsoup-2.24:2.4 )
47     introspection? ( >=dev-libs/gobject-introspection-1.30 )
48     json? ( dev-libs/json-glib )
49     ldap? ( net-nds/openldap:= )
50     libsecret? ( app-crypt/libsecret )
51     mdb? ( >app-office/mdbtools-0.5:= )
52     mysql? ( virtual/mysql:= )
53 titanofold 1.5 postgres? ( dev-db/postgresql:= )
54 pacho 1.1 reports? (
55     ${PYTHON_DEPS}
56     dev-java/fop
57     dev-python/reportlab )
58     ssl? ( dev-libs/openssl:= )
59     >=dev-db/sqlite-3.6.22:3=
60     "
61     # vala? ( dev-libs/libgee:0.8 )
62     DEPEND="${RDEPEND}
63     >=app-text/gnome-doc-utils-0.9
64     dev-util/gtk-doc-am
65     >=dev-util/intltool-0.40.6
66     virtual/pkgconfig
67     java? ( virtual/jdk:1.6 )"
68     # vala? ( $(vala_depend) )
69    
70     # FIXME: lots of tests failing. Check if they still fail in 5.1.2
71 tetromino 1.6 # firebird support bindist-restricted because it is not GPL compatible
72     RESTRICT="test
73     firebird? ( bindist )"
74 pacho 1.1
75     pkg_setup() {
76     java-pkg-opt-2_pkg_setup
77     use reports && python-single-r1_pkg_setup
78     }
79    
80     src_prepare() {
81     use berkdb && append-cppflags "-I$(db_includedir)"
82    
83     use reports ||
84     sed -e '/SUBDIRS =/ s/trml2html//' \
85     -e '/SUBDIRS =/ s/trml2pdf//' \
86     -i libgda-report/RML/Makefile.{am,in} || die
87    
88     # Prevent file collisions with libgda:4
89     epatch "${FILESDIR}/${PN}-4.99.1-gda-browser-doc-collision.patch"
90     epatch "${FILESDIR}/${PN}-4.99.1-control-center-icon-collision.patch"
91     # Move files with mv (since epatch can't handle rename diffs) and
92     # update pre-generated gtk-doc files (for non-git versions of libgda)
93     local f
94     for f in tools/browser/doc/gda-browser* ; do
95     mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
96     done
97     for f in tools/browser/doc/html/gda-browser.devhelp* ; do
98     sed -e 's:name="gda-browser":name="gda-browser-5.0":' \
99     -i ${f} || die "sed ${f} failed"
100     mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
101     done
102     for f in control-center/data/*_gda-control-center.png ; do
103     mv ${f} ${f/_gda-control-center.png/_gda-control-center-5.0.png} ||
104     die "mv ${f} failed"
105     done
106    
107     eautoreconf
108     gnome2_src_prepare
109     java-pkg-opt-2_src_prepare
110     # use vala && vala_src_prepare
111     }
112    
113     src_configure() {
114     gnome2_src_configure \
115     --with-help \
116     --disable-static \
117     --enable-system-sqlite \
118     $(use_with berkdb bdb /usr) \
119     $(use_with canvas goocanvas) \
120     $(use_with firebird firebird /usr) \
121     $(use_with graphviz) \
122     $(use_with gtk ui) \
123     $(use_with http libsoup) \
124     $(use_enable introspection) \
125     "$(use_with java java $JAVA_HOME)" \
126     $(use_enable json) \
127     $(use_with ldap) \
128     $(use_with libsecret) \
129     $(use_with mdb mdb /usr) \
130     $(use_with mysql mysql /usr) \
131     $(use_with oci8 oracle) \
132     $(use_with postgres postgres /usr) \
133     $(use_enable ssl crypto) \
134     $(use_with sourceview gtksourceview) \
135     --disable-default-binary \
136     --disable-vala
137     # vala bindings fail to build
138     }
139    
140     pkg_preinst() {
141     gnome2_pkg_preinst
142     java-pkg-opt-2_pkg_preinst
143     }
144    
145     src_install() {
146     gnome2_src_install
147     if use reports; then
148     for t in trml2{html,pdf}; do
149     python_scriptinto /usr/share/libgda-5.0/gda_${t}
150     python_doscript libgda-report/RML/${t}/${t}.py
151     done
152     fi
153     }

  ViewVC Help
Powered by ViewVC 1.1.20